com.trilead.ssh2.packets

## Class PacketKexDHReply

- java.lang.Object
- - com.trilead.ssh2.packets.PacketKexDHReply

    public class PacketKexDHReply
    extends java.lang.Object

PacketKexDHReply.

### Constructor Summary

Constructors
Constructor and Description
`PacketKexDHReply(byte[] payload, int off, int len)`

### Method Summary

Methods
`java.math.BigInteger` `getF()`
`byte[]` `getHostKey()`
`byte[]` `getSignature()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketKexDHReply

    public PacketKexDHReply(byte[] payload,
                    int off,
                    int len)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getF

    public java.math.BigInteger getF()

#### getHostKey

    public byte[] getHostKey()

#### getSignature

    public byte[] getSignature()